package cn.fw.dalaran.common.exception;

import lombok.Getter;

/**
 * 业务异常
 * <p>
 * create at 2018-04-10
 *
 * @author zjj
 */
public class BusinessException extends RuntimeException {
    private static final long serialVersionUID = 5793187748014207555L;

    /**
     * 业务异常代码
     */
    @Getter
    private final int code;

    /**
     * create {@linkplain BusinessException} with message
     *
     * @param message 异常消息
     */
    public BusinessException(final String message) {
        super(message);
        this.code = ResponseMessage.FAILURE_CODE;
    }

    /**
     * create {@linkplain BusinessException} with code and message
     *
     * @param code    业务异常代码
     * @param message 异常消息
     */
    public BusinessException(final int code, final String message) {
        super(message);
        this.code = code;
    }
}
