package cn.fw.dalaran.domain.db;

import cn.fw.dalaran.domain.vo.FileDesc;
import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022-5-5 10:30:08
 * @Description 主题相关附件数据库实体
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
public class ThemeFile implements Serializable {
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 主题id
     */
    private Long themeId;
    /**
     * 文件id
     */
    private String fileId;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件类型
     */
    private Integer fileType;
    /**
     * 文件归属类型(1:封面, 2:直播审计)
     */
    private Integer type;
    /**
     * 附件归属其他表数据主键id
     */
    private Long extraId;
    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 逻辑删除(0:未删除, 1:已删除)
     */
    @TableLogic(value = "0", delval = "1")
    private Integer logicDel;

    /**
     * db->vo
     *
     * @param file 数据库实体
     */
    public static FileDesc toVO(ThemeFile file) {
        return FileDesc.builder()
                .id(file.getId())
                .fid(file.getFileId())
                .fileName(file.getFileName())
                .fileType(file.getFileType())
                .type(file.getType())
                .build();
    }
}
