package cn.fw.dalaran.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022-6-5 14:50:59
 * @Description 文件类型
 */
public enum FileTypeEnum implements IEnum<Integer> {
    /**
     * 主题封面
     */
    THEME_COVER(1, "主题封面"),
    /**
     * 直播审计
     */
    LIVE_CHECK(2, "直播审计"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    FileTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static FileTypeEnum ofValue(final Integer value) {
        for (final FileTypeEnum typeEnum : FileTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final FileTypeEnum typeEnum : FileTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
