package cn.fw.dalaran.domain.param;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/2/14 16:45
 * @Description 指标配置参数封装
 */
@Data
public class EvlParams {
    /**
     * 所有配置项
     */
    @NotEmpty(message = "配置不能为空")
    private List<EvlIndex> details;

    @Data
    public static class EvlIndex {
        /**
         * 配置项id
         */
        @NotNull(message = "配置项id不能为空")
        private Long id;
        /**
         * 配置项类型
         */
        @NotNull(message = "配置项类型不能为空")
        private Integer type;
        /**
         * 配置项占比
         */
        @NotNull(message = "占比不能为空")
        private BigDecimal rate;
        /**
         * 所属配置组id
         */
        private Long configGroupId;
    }
}
